## vera++ 1.2.1

=== CMakeLists.txt ===
project(vera++)
cmake_minimum_required(VERSION 2.8)

set(VERA_MAJOR 1)
set(VERA_MINOR 2)
set(VERA_BUILD 1)
set(VERA_VERSION "${VERA_MAJOR}.${VERA_MINOR}.${VERA_BUILD}")

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(scripts)
add_subdirectory(profiles)

include(CTest)
add_subdirectory(tests)

add_subdirectory(packages)
add_subdirectory(cmake)

=== cmake/CMakeLists.txt ===
include(WriteBasicConfigVersionFile)
write_basic_config_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/vera++-config-version.cmake
  VERSION ${VERA_VERSION}
  COMPATIBILITY AnyNewerVersion)

if(WIN)
  set(destdir cmake/)
else()
  set(destdir lib/vera++/)
endif()
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vera++-config-version.cmake
  ${CMAKE_CURRENT_SOURCE_DIR}/vera++-config.cmake
  ${CMAKE_CURRENT_SOURCE_DIR}/use_vera++.cmake
  ${CMAKE_CURRENT_SOURCE_DIR}/test_wrapper.cmake.in
  DESTINATION ${destdir})

=== packages/CMakeLists.txt ===

# binary package
set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
set(CPACK_PACKAGE_VENDOR "The vera++ team")
set(CPACK_PACKAGE_CONTACT "none")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Programmable verification and analysis tool for C++")
set(CPACK_PACKAGE_VERSION_MAJOR "${VERA_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${VERA_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${VERA_BUILD}")
set(CPACK_PACKAGE_VERSION "${VERA_VERSION}")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/README.txt")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE_1_0.txt")
# set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/vera++.bmp")
# set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/vera++.ico")
# set(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/vera++.ico")
if(TARGET doc)
  set(CPACK_NSIS_MENU_LINKS "share\\\\vera++\\\\doc\\\\vera++.html" "documentation")
endif()
set(CPACK_NSIS_MODIFY_PATH "ON")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "${PROJECT_NAME}")

# source package
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${VERA_VERSION}")
set(CPACK_SOURCE_IGNORE_FILES
  "/\\\\.git"
  "/\\\\.mailmap$"
  "/\\\\.gitignore$"
  ".*~$"
  "\\\\.bak$"
  "\\\\.orig$"
  "/\\\\.DS_Store$"
  "/Thumbs\\\\.db"
  "/CMakeLists.txt.user$"
  "/wiki/images/.*png$"
  ${CPACK_SOURCE_IGNORE_FILES})
# also ignore the build directories that may be in the source tree
file(GLOB_RECURSE caches "${CMAKE_SOURCE_DIR}/CMakeCache.txt")
foreach(c ${caches})
  get_filename_component(d "${c}" PATH)
  list(APPEND CPACK_SOURCE_IGNORE_FILES "^${d}/")
endforeach()
# if git is there, we also use it to exclude the files not in the repository
macro(ignore_git_others dir)
  if(GITCOMMAND AND EXISTS "${dir}/.git")
    execute_process(COMMAND "${GITCOMMAND}" ls-files --others --directory
      RESULT_VARIABLE ret
      OUTPUT_VARIABLE output
      ERROR_VARIABLE error
      WORKING_DIRECTORY "${dir}")
    string(REGEX REPLACE "\r?\n" ";" output "${output}")
    foreach(f ${output})
      set(df "${dir}/${f}")
      # escape regex special character that may be in the paths
      string(REGEX REPLACE "([.[{()\\*+?|^$])" "\\\\\\\\\\1" df "${df}")
      list(APPEND CPACK_SOURCE_IGNORE_FILES "^${df}")
    endforeach()
  endif()
endmacro()
ignore_git_others("${CMAKE_SOURCE_DIR}")
ignore_git_others("${CMAKE_SOURCE_DIR}/wiki")

include(CPack)

find_program(TAR_EXECUTABLE tar)
if(TARGET doc AND TAR_EXECUTABLE)
  set(output ${CMAKE_BINARY_DIR}/vera++-${VERA_VERSION}-doc.tar.gz)
  add_custom_command(
    OUTPUT ${output}
    COMMAND ${TAR_EXECUTABLE}
      czf ${output}
      vera++.1 vera++.html
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/doc)
  add_custom_target(package_doc DEPENDS doc ${output})
endif()

=== scripts/CMakeLists.txt ===
add_subdirectory(rules)
add_subdirectory(transformations)

=== tests/CMakeLists.txt ===
# just to show a way to use vera++
file(GLOB_RECURSE srcs ${CMAKE_SOURCE_DIR}/src/*.cpp ${CMAKE_SOURCE_DIR}/src/*.h)
add_test(NAME VeraStyle
  COMMAND vera
  --error
  --root "${CMAKE_SOURCE_DIR}"
  ${srcs}
)

# now the real tests

include(${CMAKE_SOURCE_DIR}/cmake/use_vera++.cmake)

####### command line iterface tests #######

# this test is supposed to not found the vera root dir and fail because of that,
# but it will found one if vera has already been installed, so we don't run
# it in that case.
if(NOT EXISTS "${CMAKE_INSTALL_PREFIX}/lib/vera++/")
  vera_add_test(NoRoot
    "" "" "error: cannot open profile description for profile default\n" 1
    "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp"
  )
endif()

vera_add_test(VeraRootEnvironment
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  "" 0
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)
set_tests_properties(VeraRootEnvironment
  PROPERTIES ENVIRONMENT "VERA_ROOT=${CMAKE_SOURCE_DIR}")

vera_add_test(VeraRootCurrentDirectory
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  "" 0
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)
set_tests_properties(VeraRootCurrentDirectory
  PROPERTIES WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")

vera_add_test(VeraLegacy
  "" ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  0
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)
set_tests_properties(VeraLegacy
  PROPERTIES ENVIRONMENT "VERA_LEGACY=ON;VERA_ROOT=${CMAKE_SOURCE_DIR}")

vera_add_test(StdInNoArgs
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp\n"
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
)

vera_add_test(InputsDash
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp\n"
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --inputs=-
)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/inputs
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp\n")
vera_add_test(InputsFile
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --inputs=${CMAKE_CURRENT_BINARY_DIR}/inputs
)

vera_add_test(ShortInputs
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp\n"
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  -i -
)

vera_add_test_stdin_file(StdInDash
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp"
  "-:1: no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  -
)

vera_add_test(StandardReport
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --std-report=-
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(ShortStandardReport
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  -o -
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(VCReport
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp(1): no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --vc-report=-
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(ShortVCReport
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp(1): no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  -v -
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(XMLReport
  ""
  "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<vera>
    <file name=\"${CMAKE_CURRENT_SOURCE_DIR}/test.cpp\">
        <report line=\"1\">![CDATA[no copyright notice found]]</report>
    </file>
</vera>\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --xml-report=-
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(ShortXMLReport
  ""
  "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<vera>
    <file name=\"${CMAKE_CURRENT_SOURCE_DIR}/test.cpp\">
        <report line=\"1\">![CDATA[no copyright notice found]]</report>
    </file>
</vera>\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  -x -
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(CheckStyleReport
  ""
  "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<checkstyle version=\"5.0\">
    <file name=\"${CMAKE_CURRENT_SOURCE_DIR}/test.cpp\">
        <error source=\"T013\" severity=\"info\" line=\"1\" message=\"no copyright notice found\" />
    </file>
</checkstyle>\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --checkstyle-report=-
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(ShortCheckStyleReport
  ""
  "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<checkstyle version=\"5.0\">
    <file name=\"${CMAKE_CURRENT_SOURCE_DIR}/test.cpp\">
        <error source=\"T013\" severity=\"info\" line=\"1\" message=\"no copyright notice found\" />
    </file>
</checkstyle>\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  -c -
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(ShowRule
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: T013: no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --show-rule
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(ShortShowRule
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: T013: no copyright notice found\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  -s
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(Warning
  "" ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: warning: no copyright notice found\n"
  0
  --root "${CMAKE_SOURCE_DIR}"
  --warning
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(ShortWarning
  "" ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: warning: no copyright notice found\n"
  0
  --root "${CMAKE_SOURCE_DIR}"
  -w
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(WarningShowRule
  "" ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: warning T013: no copyright notice found\n"
  0
  --root "${CMAKE_SOURCE_DIR}"
  --warning
  --show-rule
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(Error
  "" ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: error: no copyright notice found\n"
  1
  --root "${CMAKE_SOURCE_DIR}"
  --error
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(ErrorShowRule
  "" ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: error T013: no copyright notice found\n"
  1
  --root "${CMAKE_SOURCE_DIR}"
  --error
  --show-rule
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(Quiet
  "" "" "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --quiet
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(ShortQuiet
  "" "" "" 0
  --root "${CMAKE_SOURCE_DIR}"
  -q
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(Summary
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  "1 reports in 1 files.\n" 0
  --root "${CMAKE_SOURCE_DIR}"
  --summary
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(ShortSummary
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp:1: no copyright notice found\n"
  "1 reports in 1 files.\n" 0
  --root "${CMAKE_SOURCE_DIR}"
  -S
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(Version
  "" "${VERA_VERSION}\n" "" 0
  --version
)

vera_add_test(VersionLegacy
  "" "${VERA_VERSION}\n" "" 0
  -version
)

vera_add_test(AggregatedShortOptions
  "" "" "1 reports in 1 files.\n" 1
  -eSqpdefault
  -r "${CMAKE_SOURCE_DIR}"
  ${CMAKE_CURRENT_SOURCE_DIR}/test.cpp
)

vera_add_test(NoDuplicate
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/T009.cpp:10: comma should not be preceded by whitespace
${CMAKE_CURRENT_SOURCE_DIR}/T009.cpp:12: comma should not be preceded by whitespace
${CMAKE_CURRENT_SOURCE_DIR}/T009.cpp:13: comma should not be preceded by whitespace
${CMAKE_CURRENT_SOURCE_DIR}/T009.cpp:14: comma should not be preceded by whitespace\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --rule T009
  --no-duplicate
  ${CMAKE_CURRENT_SOURCE_DIR}/T009.cpp
)

vera_add_test(ShortNoDuplicate
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/T009.cpp:10: comma should not be preceded by whitespace
${CMAKE_CURRENT_SOURCE_DIR}/T009.cpp:12: comma should not be preceded by whitespace
${CMAKE_CURRENT_SOURCE_DIR}/T009.cpp:13: comma should not be preceded by whitespace
${CMAKE_CURRENT_SOURCE_DIR}/T009.cpp:14: comma should not be preceded by whitespace\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --rule T009
  -d
  ${CMAKE_CURRENT_SOURCE_DIR}/T009.cpp
)

vera_add_test(Parameter
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: line is longer than 99 characters
${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: line is longer than 99 characters\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --rule L004
  --parameter max-line-length=99
  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
)

vera_add_test(ShortParameter
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: line is longer than 99 characters
${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: line is longer than 99 characters\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --rule L004
  -P max-line-length=99
  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
)

vera_add_test(Parameters
  ""
  "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: line is longer than 99 characters
${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: line is longer than 99 characters\n"
  "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --rule L004
  --parameters ${CMAKE_CURRENT_SOURCE_DIR}/parameters.txt
  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
)

vera_add_test(Profile
  "" "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: L004: line is longer than 100 characters
${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: T013: no copyright notice found
${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: T014: no reference to the Boost Software License found
${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: L004: line is longer than 100 characters\n" "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --show-rule
  --profile full
  --parameter max-directory-depth=20
  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
)

vera_add_test(ShortProfile
  "" "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: L004: line is longer than 100 characters
${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: T013: no copyright notice found
${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: T014: no reference to the Boost Software License found
${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: L004: line is longer than 100 characters\n" "" 0
  --root "${CMAKE_SOURCE_DIR}"
  --show-rule
  -p full
  --parameter max-directory-depth=20
  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
)

# just make sure the help test does not fail
add_test(NAME Help COMMAND vera --help foo bar)
add_test(NAME ShortHelp COMMAND vera -h foo bar)

# options to test
# --transform arg

####### rule tests #######

set(VERA_TEST_RULE_ROOT ${CMAKE_SOURCE_DIR})

vera_add_rule_test(F001 "4: \\r (CR) detected in isolation at position 7")

# F002

vera_add_rule_test(L001 "4: trailing whitespace
6: trailing whitespace")

vera_add_rule_test(L002 "2: horizontal tab used
4: horizontal tab used
6: horizontal tab used")

vera_add_test(RuleL003
  "" "${CMAKE_CURRENT_SOURCE_DIR}/L003-1.cpp:1: leading empty line(s)
${CMAKE_CURRENT_SOURCE_DIR}/L003-2.cpp:4: trailing empty line(s)\n"
  "" 0
  --rule L003
  --root "${CMAKE_SOURCE_DIR}"
  ${CMAKE_CURRENT_SOURCE_DIR}/L003-1.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/L003-2.cpp
)

vera_add_rule_test(L004 "1: line is longer than 100 characters
2: line is longer than 100 characters")

vera_add_rule_test(L005 "6: too many consecutive empty lines")

vera_add_test(RuleL006
  "" "${CMAKE_CURRENT_SOURCE_DIR}/L006-2.cpp:2001: source file is too long\n"
  "" 0
  --rule L006
  --root "${CMAKE_SOURCE_DIR}"
  ${CMAKE_CURRENT_SOURCE_DIR}/L006-1.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/L006-2.cpp
)

vera_add_rule_test(T001 "6: line-continuation in one-line comment")

set(output "4: reserved name used for macro (incorrect use of underscore)
5: reserved name used for macro (incorrect use of underscore)")
foreach(i RANGE 7 80)
  set(output "${output}\n${i}: reserved name used for macro (keyword or alternative token redefined)")
endforeach()
vera_add_rule_test(T002 "${output}")

vera_add_rule_test(T003 "1: keyword 'case' not followed by a single space
2: keyword 'class' not followed by a single space
3: keyword 'delete' not followed by a single space
4: keyword 'enum' not followed by a single space
5: keyword 'explicit' not followed by a single space
6: keyword 'extern' not followed by a single space

=== scripts/rules/CMakeLists.txt ===
file(GLOB_RECURSE srcs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
list(REMOVE_ITEM srcs CMakeLists.txt)
install(FILES ${srcs} DESTINATION lib/vera++/scripts/rules)

=== scripts/transformations/CMakeLists.txt ===
file(GLOB_RECURSE srcs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
list(REMOVE_ITEM srcs CMakeLists.txt)
install(FILES ${srcs} DESTINATION lib/vera++/scripts/transformations)

## vera++ 1.1.1

=== debian/changelog ===
vera++ (1.1.1-3build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:45 +0100

vera++ (1.1.1-3) unstable; urgency=low

  * Enhanced debian user experience. Added default profiles and scripts
    and adapted root directory search algorithm.
  * Updated man.

 -- Vincent Hobeïka <vincent.hobeika@gmail.com>  Wed, 12 Sep 2012 18:57:07 +0200

vera++ (1.1.1-2) unstable; urgency=low

  * Hardening flags fix (Closes: #685168).

 -- Vincent Hobeïka <vincent.hobeika@gmail.com>  Mon, 20 Aug 2012 12:22:32 +0200

vera++ (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #536363)

 -- Vincent Hobeïka <vincent.hobeika@gmail.com>  Tue, 14 Aug 2012 12:20:57 +0200

=== debian/control ===
Source: vera++
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Hobeïka <vincent.hobeika@gmail.com>
Build-Depends: debhelper (>= 9), libboost-dev, tcl-dev, libboost-wave-dev, libboost-thread-dev, libboost-system-dev
Standards-Version: 3.9.3
Homepage: http://www.inspirel.com/vera/
#Vcs-Git: git://git.debian.org/collab-maint/vera++.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/vera++.git;a=summary

Package: vera++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Programmable verification and analysis tool for C++
 Vera++ is a programmable tool for verification, analysis and transformation of
 C++ source code.
 Vera++ is mainly an engine that parses C++ source files and presents the
 result of this parsing to scripts in the form of various collections -
 the scripts are actually performing the requested tasks.

=== debian/watch ===
version=3
http://www.inspirel.com/vera/ \
files/vera\+\+-(.*)\.tar\.gz

## vera++ 1.2.1

=== debian/changelog ===
vera++ (1.2.1-2build9) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:13:33 +0100

vera++ (1.2.1-2build8) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:52:34 +0000

vera++ (1.2.1-2build7) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:04:25 +0000

vera++ (1.2.1-2build6) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:25:42 +0000

vera++ (1.2.1-2build5) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:52:59 +0000

vera++ (1.2.1-2build4) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:33:34 +0000

vera++ (1.2.1-2build3) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:51:03 +0000

vera++ (1.2.1-2build2) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:56:18 +0000

vera++ (1.2.1-2build1) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 10:52:13 +0100

vera++ (1.2.1-2) unstable; urgency=low

  * Removed dependency to pandoc which prevents migration to testing

 -- Vincent Hobeïka <vincent.hobeika@gmail.com>  Tue, 04 Feb 2014 13:23:48 +0100

vera++ (1.2.1-1) unstable; urgency=low

  * Fixed watch files
  * Fixed homepage url (Closes: #709195)
  * Updated dependencies
  * Updated standards-version to 3.9.4 (no changes)

 -- Vincent Hobeïka <vincent.hobeika@gmail.com>  Mon, 21 Oct 2013 15:58:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vincent Hobeïka <vincent.hobeika@gmail.com>
-Build-Depends: debhelper (>= 9), libboost-dev, tcl-dev, libboost-wave-dev, libboost-thread-dev, libboost-system-dev
-Standards-Version: 3.9.3
-Homepage: http://www.inspirel.com/vera/
-#Vcs-Git: git://git.debian.org/collab-maint/vera++.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/vera++.git;a=summary
+Build-Depends: debhelper (>= 9), libboost-dev (>= 1.42), tcl-dev (>= 8), libboost-wave-dev (>= 1.42), libboost-thread-dev (>= 1.42), libboost-system-dev (>= 1.42), libboost-program-options-dev (>= 1.42), cmake
+Standards-Version: 3.9.5
+Homepage: https://bitbucket.org/verateam/vera/wiki/Home
+Vcs-Git: https://bitbucket.org/verateam/vera.git
+Vcs-Browser: https://bitbucket.org/verateam/vera/src
 
 Package: vera++
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --buildsystem=cmake

## vera++ 1.3.0

=== CMakeLists.txt ===
project(vera++)
cmake_minimum_required(VERSION 2.8.6)

set(VERA_MAJOR 1)
set(VERA_MINOR 3)
set(VERA_BUILD 0)
set(VERA_VERSION "${VERA_MAJOR}.${VERA_MINOR}.${VERA_BUILD}")

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(rules)
add_subdirectory(transformations)
add_subdirectory(profiles)
add_subdirectory(packages)
add_subdirectory(cmake)

include(CTest)
add_subdirectory(tests)

# pass a few specific options to CTest. CTestCustom.cmake must be at the root of
# the binary dir
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake
  COPYONLY)

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,5 @@
-include(WriteBasicConfigVersionFile)
-write_basic_config_version_file(
-  ${CMAKE_CURRENT_BINARY_DIR}/vera++-config-version.cmake
-  VERSION ${VERA_VERSION}
-  COMPATIBILITY AnyNewerVersion)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/vera++-config-version.cmake.in
+  ${CMAKE_CURRENT_BINARY_DIR}/vera++-config-version.cmake)
 
 if(WIN)
   set(destdir cmake/)

=== doc/CMakeLists.txt ===
find_program(PANDOC pandoc)

if(NOT PANDOC)
  message(WARNING "The documentation won't be built because pandoc was not found.")
  return()
endif()

set(wiki "${CMAKE_SOURCE_DIR}/wiki")
if(NOT EXISTS "${wiki}/Introduction.md")
  message(WARNING "The documentation won't be built because the wiki directory is empty.")
  message(WARNING "Run 'git submodule update --init' to fix that.")
  return()
endif()

# don't put the full path in this list because it breaks the doc generation
# on windows. Instead we run the command in the wiki directory
set(inputs
  Introduction.md
  # no need for the build page in the final doc
  # ${wiki}/Building.md
  Running.md
  Rules.md
  Transformations.md
  ScriptAPI.md
  Changes.md
)
# generate the list of inputs with the full path to deal properly with
# dependencies in add_custom_command
set(inputs_full_path)
foreach(i ${inputs})
  list(APPEND inputs_full_path "${wiki}/${i}")
endforeach()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/vera++.1
  COMMAND ${PANDOC} -s
    ${CMAKE_CURRENT_SOURCE_DIR}/manpage.md
    ${inputs}
    -o ${CMAKE_CURRENT_BINARY_DIR}/vera++.1
  DEPENDS ${PANDOC} ${CMAKE_CURRENT_SOURCE_DIR}/manpage.md ${inputs_full_path}
  WORKING_DIRECTORY "${wiki}"
)
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/vera++.html
  COMMAND ${PANDOC} -s
    # --toc --toc-depth=1
    -H ${CMAKE_CURRENT_SOURCE_DIR}/style.css
    ${inputs}
    -o ${CMAKE_CURRENT_BINARY_DIR}/vera++.html
  DEPENDS ${PANDOC} ${CMAKE_CURRENT_SOURCE_DIR}/style.css ${inputs_full_path}
  WORKING_DIRECTORY "${wiki}"
)
add_custom_target(doc ALL DEPENDS
  ${CMAKE_CURRENT_BINARY_DIR}/vera++.1
  ${CMAKE_CURRENT_BINARY_DIR}/vera++.html)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vera++.1 DESTINATION share/man/man1)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/vera++.html DESTINATION share/vera++/doc)

=== packages/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,8 @@
+if(APPLE)
+  option(CPACK_BINARY_PACKAGEMAKER "Enable to build PackageMaker packages" ON)
+  option(CPACK_BINARY_STGZ "Enable to build STGZ packages" OFF)
+  option(CPACK_BINARY_TGZ "Enable to build TGZ packages" OFF)
+endif()
 
 # binary package
 set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")

=== profiles/CMakeLists.txt ===
file(GLOB_RECURSE srcs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
list(REMOVE_ITEM srcs CMakeLists.txt test legacy)
install(FILES ${srcs} DESTINATION lib/vera++/profiles)

=== rules/CMakeLists.txt ===
file(GLOB_RECURSE srcs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
list(REMOVE_ITEM srcs CMakeLists.txt)
install(FILES ${srcs} DESTINATION lib/vera++/rules)

=== src/CMakeLists.txt ===

find_package(TCL) # REQUIRED)
# don't use find_package's REQUIRED parameter to avoid requiring tk
if(NOT TCL_FOUND)
  message(FATAL_ERROR "TCL was not found.")
endif()
include_directories(SYSTEM ${TCL_INCLUDE_PATH})
link_directories(${TCL_LIBRARY_DIRS})

option(VERA_PYTHON "Build Python rules support" ON)
if(VERA_PYTHON)
  include(python.cmake)
  add_definitions(-DVERA_PYTHON)
endif()

include(boost.cmake)

if(MSVC)
  # hide the warning generated by the usage of getenv()
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
  add_definitions(-D_SCL_SECURE_NO_WARNINGS)
endif(MSVC)

option(VERA_LUA "Build Lua rules support" ON)
if(VERA_LUA)
  include(lua.cmake)
  add_definitions(-DVERA_LUA)
endif()

configure_file(config.h.in config.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

file(GLOB_RECURSE srcs *.cpp)
add_executable(vera ${srcs})
add_dependencies(vera vera ${Boost_TARGET} ${Lua_TARGET} ${Luabind_TARGET} ${Python_TARGET})
set_target_properties(vera PROPERTIES OUTPUT_NAME vera++)
target_link_libraries(vera
  ${TCL_LIBRARY}
  ${Boost_LIBRARIES})
if(VERA_PYTHON)
  target_link_libraries(vera ${PYTHON_LIBRARIES})
endif()
if(VERA_LUA)
  target_link_libraries(vera ${LUA_LIBRARIES} ${LUABIND_LIBRARY})
endif()
if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
   # keep it at the end to be able to build on ubuntu
  target_link_libraries(vera dl)
endif()


if(WIN32)
  # install the tcl lib, if we can find it
  get_filename_component(tcldir "${TCL_LIBRARY}" PATH)
  get_filename_component(tclname "${TCL_LIBRARY}" NAME_WE)
  set(tcldll "${tcldir}/../bin/${tclname}.dll")
  if(EXISTS "${tcldll}")
    list(APPEND CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS "${tcldll}")
  endif()
endif()

# runtime libs will be copied by hand in the package - there is no need
# for these warnings
set(CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_NO_WARNINGS ON)
include(InstallRequiredSystemLibraries)
install(TARGETS vera DESTINATION bin)

# install the runtime libraries
if(MSVC10)
  if(NOT MSVC10_REDIST_DIR)
    # the libs where not found by InstallRequiredSystemLibraries, so we get
    # them from System32
    set(msvc_redist_libs
      "C:/Windows/System32/msvcp100.dll"
      "C:/Windows/System32/msvcr100.dll")
    foreach(lib ${msvc_redist_libs})
      if(EXISTS ${lib})
        install(PROGRAMS ${lib} DESTINATION bin)
      endif()
    endforeach()
  endif()
endif()

include(../cmake/use_vera++.cmake)
add_vera_targets(*.h *.cpp
  RECURSE
  ROOT "${CMAKE_SOURCE_DIR}")

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -13,15 +13,10 @@
 
 ####### command line iterface tests #######
 
-# this test is supposed to not found the vera root dir and fail because of that,
-# but it will found one if vera has already been installed, so we don't run
-# it in that case.
-if(NOT EXISTS "${CMAKE_INSTALL_PREFIX}/lib/vera++/")
-  vera_add_test(NoRoot
-    "" "" "error: cannot open profile description for profile default\n" 1
-    "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp"
-  )
-endif()
+vera_add_test(NoRoot
+  "" "" "vera++: Cannot open profile description for profile 'default': No such file or directory\n" 1
+  "${CMAKE_CURRENT_SOURCE_DIR}/test.cpp"
+)
 
 vera_add_test(VeraRootEnvironment
   ""
@@ -334,6 +329,15 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
 )
 
+vera_add_test(ParameterInvalid
+  "" ""
+  "vera++: Invalid parameter association: max-line-length\n" 1
+  --root "${CMAKE_SOURCE_DIR}"
+  --rule L004
+  --parameter max-line-length
+  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
+)
+
 vera_add_test(ShortParameter
   ""
   "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: line is longer than 99 characters
@@ -363,7 +367,7 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: L004: line is longer than 100 characters\n" "" 0
   --root "${CMAKE_SOURCE_DIR}"
   --show-rule
-  --profile full
+  --profile test
   --parameter max-directory-depth=20
   ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
 )
@@ -375,10 +379,45 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: L004: line is longer than 100 characters\n" "" 0
   --root "${CMAKE_SOURCE_DIR}"
   --show-rule
-  -p full
+  -p test
   --parameter max-directory-depth=20
   ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
 )
+
+vera_add_test(ProfileLegacy
+  "" "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: L004: line is longer than 100 characters
+${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: T013: no copyright notice found
+${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: L004: line is longer than 100 characters\n" "" 0
+  --root "${CMAKE_SOURCE_DIR}"
+  --show-rule
+  --profile legacy
+  --parameter max-directory-depth=20
+  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
+)
+
+vera_add_test(Exclusions
+  "" "${CMAKE_CURRENT_SOURCE_DIR}/T003.cpp:1: keyword 'case' not followed by a single space
+${CMAKE_CURRENT_SOURCE_DIR}/T003.cpp:5: keyword 'explicit' not followed by a single space
+${CMAKE_CURRENT_SOURCE_DIR}/T003.cpp:9: keyword 'struct' not followed by a single space\n" "" 0
+  --root "${CMAKE_SOURCE_DIR}"
+  --rule T003
+  --parameter max-directory-depth=20
+  --exclusions ${CMAKE_CURRENT_SOURCE_DIR}/exclusions
+  ${CMAKE_CURRENT_SOURCE_DIR}/T003.cpp
+)
+
+vera_add_test(ExclusionsLegacy
+  "" "${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: L004: line is longer than 100 characters
+${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:1: T013: no copyright notice found
+${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp:2: L004: line is longer than 100 characters\n" "" 0
+  --root "${CMAKE_SOURCE_DIR}"
+  --show-rule
+  --profile test
+  --parameter max-directory-depth=20
+  --exclusions ${CMAKE_CURRENT_SOURCE_DIR}/exclusions_legacy
+  ${CMAKE_CURRENT_SOURCE_DIR}/L004.cpp
+)
+
 
 # just make sure the help test does not fail
 add_test(NAME Help COMMAND vera --help foo bar)
@@ -403,41 +442,3 @@
 6: horizontal tab used")
 
 vera_add_test(RuleL003
-  "" "${CMAKE_CURRENT_SOURCE_DIR}/L003-1.cpp:1: leading empty line(s)
-${CMAKE_CURRENT_SOURCE_DIR}/L003-2.cpp:4: trailing empty line(s)\n"
-  "" 0
-  --rule L003
-  --root "${CMAKE_SOURCE_DIR}"
-  ${CMAKE_CURRENT_SOURCE_DIR}/L003-1.cpp
-  ${CMAKE_CURRENT_SOURCE_DIR}/L003-2.cpp
-)
-
-vera_add_rule_test(L004 "1: line is longer than 100 characters
-2: line is longer than 100 characters")
-
-vera_add_rule_test(L005 "6: too many consecutive empty lines")
-
-vera_add_test(RuleL006
-  "" "${CMAKE_CURRENT_SOURCE_DIR}/L006-2.cpp:2001: source file is too long\n"
-  "" 0
-  --rule L006
-  --root "${CMAKE_SOURCE_DIR}"
-  ${CMAKE_CURRENT_SOURCE_DIR}/L006-1.cpp
-  ${CMAKE_CURRENT_SOURCE_DIR}/L006-2.cpp
-)
-
-vera_add_rule_test(T001 "6: line-continuation in one-line comment")
-
-set(output "4: reserved name used for macro (incorrect use of underscore)
-5: reserved name used for macro (incorrect use of underscore)")
-foreach(i RANGE 7 80)
-  set(output "${output}\n${i}: reserved name used for macro (keyword or alternative token redefined)")
-endforeach()
-vera_add_rule_test(T002 "${output}")
-
-vera_add_rule_test(T003 "1: keyword 'case' not followed by a single space
-2: keyword 'class' not followed by a single space
-3: keyword 'delete' not followed by a single space
-4: keyword 'enum' not followed by a single space
-5: keyword 'explicit' not followed by a single space
-6: keyword 'extern' not followed by a single space

=== transformations/CMakeLists.txt ===
file(GLOB_RECURSE srcs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
list(REMOVE_ITEM srcs CMakeLists.txt)
install(FILES ${srcs} DESTINATION lib/vera++/transformations)

=== tests/lua/CMakeLists.txt ===
set(VERA_TEST_RULE_ROOT ${CMAKE_CURRENT_SOURCE_DIR})

vera_add_rule_test(L001.lua "4: trailing whitespace
6: trailing whitespace")

vera_add_rule_test(T019.lua "1: full block {} expected in the control structure
5: full block {} expected in the control structure
17: full block {} expected in the control structure
33: full block {} expected in the control structure
41: full block {} expected in the control structure
42: full block {} expected in the control structure
52: full block {} expected in the control structure
61: full block {} expected in the control structure
62: full block {} expected in the control structure")

=== tests/python/CMakeLists.txt ===
set(VERA_TEST_RULE_ROOT ${CMAKE_CURRENT_SOURCE_DIR})

vera_add_rule_test(L001.py "4: trailing whitespace
6: trailing whitespace")

vera_add_rule_test(T019.py "1: full block {} expected in the control structure
5: full block {} expected in the control structure
17: full block {} expected in the control structure
33: full block {} expected in the control structure
41: full block {} expected in the control structure
42: full block {} expected in the control structure
52: full block {} expected in the control structure
61: full block {} expected in the control structure
62: full block {} expected in the control structure")

=== debian/changelog ===
vera++ (1.3.0-1) unstable; urgency=medium

  [ Vincent Hobeïka ]
  * New upstream release
    Closes: #847300

  [ Andreas Tille ]
  * Maintain in Salvage team
    Closes: #1115887
  * Build-Depends: liblua5.2-dev
  * Remove libpython2.7-dev from Build-Depends
  * d/watch: Fix by using Version = 5
  * d/rules: Its no sample
  * Build with Python3
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Does not support old luabind thus disabling LUA support
  * Fix Build with CMake 4
    Closes: #1113617

 -- Andreas Tille <tille@debian.org>  Sun, 12 Oct 2025 09:27:31 +0200

=== debian/control ===
Source: vera++
Standards-Version: 4.7.2
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders:
 Vincent Hobeïka <vincent.hobeika@gmail.com>,
 Andreas Tille <tille@debian.org>,
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libboost-dev,
 tcl-dev,
 libboost-wave-dev,
 libboost-thread-dev,
 libboost-system-dev,
 libboost-program-options-dev,
 libboost-python-dev,
 libboost-regex-dev,
 cmake,
 libpython3-dev,
 tcl8.6-dev,
Vcs-Browser: https://salsa.debian.org/salvage-team/vera
Vcs-Git: https://salsa.debian.org/salvage-team/vera.git
Homepage: https://bitbucket.org/verateam/vera/wiki/Home

Package: vera++
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 tclsh,
Description: Programmable verification and analysis tool for C++
 Vera++ is a programmable tool for verification, analysis and transformation of
 C++ source code.
 Vera++ is mainly an engine that parses C++ source files and presents the
 result of this parsing to scripts in the form of various collections -
 the scripts are actually performing the requested tasks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DVERA_USE_SYSTEM_BOOST:BOOL=ON -DVERA_LUA:BOOL=OFF -DVERA_PYTHON:BOOL=ON -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
Version: 5

Mode: git
Source: https://bitbucket.org/verateam/vera.git
Matching-Pattern: refs/tags/v([\d\.\d]+)
